{
  "meta": {
    "stableOrder": true
  },
  "lockfileVersion": 3,
  "ATTENTION": "THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.",
  "specifiers": {
    "@abner/lithe_refresh@^1.0.3": "@abner/lithe_refresh@1.0.3",
    "@abner/refresh@^1.4.6": "@abner/refresh@1.4.6",
    "@hadss/hmrouter-transitions@^1.2.0-rc.0": "@hadss/hmrouter-transitions@1.2.0",
    "@hadss/hmrouter@1.2.0": "@hadss/hmrouter@1.2.0",
    "@hadss/hmrouter@^1.2.0-rc.0": "@hadss/hmrouter@1.2.0",
    "@ohos/axios@^2.2.5": "@ohos/axios@2.2.6",
    "@ohos/crypto-js@^2.0.5": "@ohos/crypto-js@2.0.5",
    "@ohos/hamock@1.0.0": "@ohos/hamock@1.0.0",
    "@ohos/hypium@1.0.21": "@ohos/hypium@1.0.21",
    "@pura/harmony-dialog@^1.1.6": "@pura/harmony-dialog@1.1.8",
    "@pura/harmony-utils@^1.3.7": "@pura/harmony-utils@1.3.8",
    "@pura/spinkit@^1.0.5": "@pura/spinkit@1.0.5",
    "class-transformer@0.5.1": "class-transformer@0.5.1",
    "libhmrouterlibrary.so@oh_modules/.ohpm/@hadss+hmrouter@1.2.0/oh_modules/@hadss/hmrouter/src/main/cpp/types/libhmrouterlibrary": "libhmrouterlibrary.so@oh_modules/.ohpm/@hadss+hmrouter@1.2.0/oh_modules/@hadss/hmrouter/src/main/cpp/types/libhmrouterlibrary"
  },
  "packages": {
    "@abner/lithe_refresh@1.0.3": {
      "name": "@abner/lithe_refresh",
      "version": "1.0.3",
      "integrity": "sha512-yvhvqz9MCGhcYfiVXo2cuV0f9fOxDopc8JK+OREjy1y/mFomAHTAUT+PtQtuWW5ptHWE3h9T6rlrTclDH5gulg==",
      "resolved": "https://repo.harmonyos.com/ohpm/@abner/lithe_refresh/-/lithe_refresh-1.0.3.har",
      "registryType": "ohpm"
    },
    "@abner/refresh@1.4.6": {
      "name": "@abner/refresh",
      "version": "1.4.6",
      "integrity": "sha512-VkU3sXfJ3oQBrMulMni7THR9yDycmes24Dydvo69NmzgjiRGveki2VR/ZUNybaSfL88k/ycjWAC86+7AKT34NA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@abner/refresh/-/refresh-1.4.6.har",
      "registryType": "ohpm"
    },
    "@hadss/hmrouter-transitions@1.2.0": {
      "name": "@hadss/hmrouter-transitions",
      "version": "1.2.0",
      "integrity": "sha512-rcRpX6+qFBW86nunRwG59lcb8UwSPBRwpVO1wlvVuQ4muSM8rNzpo5XvhbHi/rc+Rf53XdBU+oUlGat2vVsskw==",
      "resolved": "https://repo.harmonyos.com/ohpm/@hadss/hmrouter-transitions/-/hmrouter-transitions-1.2.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "@hadss/hmrouter": "1.2.0"
      }
    },
    "@hadss/hmrouter@1.2.0": {
      "name": "@hadss/hmrouter",
      "version": "1.2.0",
      "integrity": "sha512-BC/e1ZdPbu7zmE4Lui7pr1d8EQk1RfA88qP6HJEHJLCrhY7kX2SeX6KIZlUMD5NTAit6YymmqUK0BYnBalsgJg==",
      "resolved": "https://repo.harmonyos.com/ohpm/@hadss/hmrouter/-/hmrouter-1.2.0.har",
      "registryType": "ohpm",
      "dependencies": {
        "libhmrouterlibrary.so": "file:./src/main/cpp/types/libhmrouterlibrary"
      }
    },
    "@ohos/axios@2.2.6": {
      "name": "@ohos/axios",
      "version": "2.2.6",
      "integrity": "sha512-A1JqGe6XaeqWyjQETitFW4EkubQS7Fv7h0YG5a/ry3/a/vOgVGzwC4y5KAhvMzVv1tYjfY0ntMtV2kJGlmOHcQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/axios/-/axios-2.2.6.har",
      "registryType": "ohpm"
    },
    "@ohos/crypto-js@2.0.5": {
      "name": "@ohos/crypto-js",
      "version": "2.0.5",
      "integrity": "sha512-QPW+vxSambzep39qnnvGLk2lItqPqt+HBTo7FsTdL9edv3z35h4D80ClnEPNPfXQzIp8DgVDMIgbAWa1hWq8ug==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/crypto-js/-/crypto-js-2.0.5.har",
      "registryType": "ohpm"
    },
    "@ohos/hamock@1.0.0": {
      "name": "@ohos/hamock",
      "version": "1.0.0",
      "integrity": "sha512-K6lDPYc6VkKe6ZBNQa9aoG+ZZMiwqfcR/7yAVFSUGIuOAhPvCJAo9+t1fZnpe0dBRBPxj2bxPPbKh69VuyAtDg==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/hamock/-/hamock-1.0.0.har",
      "registryType": "ohpm"
    },
    "@ohos/hypium@1.0.21": {
      "name": "@ohos/hypium",
      "version": "1.0.21",
      "integrity": "sha512-iyKGMXxE+9PpCkqEwu0VykN/7hNpb+QOeIuHwkmZnxOpI+dFZt6yhPB7k89EgV1MiSK/ieV/hMjr5Z2mWwRfMQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/hypium/-/hypium-1.0.21.har",
      "registryType": "ohpm"
    },
    "@pura/harmony-dialog@1.1.8": {
      "name": "@pura/harmony-dialog",
      "version": "1.1.8",
      "integrity": "sha512-IG2BJti8LBvJvkAD7yLwk6F2D66BGYPt6mae2yqAB9hMU5HnOTslWJbrReN9qPQl+ssIjSahMC7aJexEFYm5Dw==",
      "resolved": "https://repo.harmonyos.com/ohpm/@pura/harmony-dialog/-/harmony-dialog-1.1.8.har",
      "registryType": "ohpm",
      "dependencies": {
        "@pura/spinkit": "^1.0.5"
      }
    },
    "@pura/harmony-utils@1.3.8": {
      "name": "@pura/harmony-utils",
      "version": "1.3.8",
      "integrity": "sha512-y9+6Ft8crDs0dIdgaxhdRig24FQSwreBajY0KEUvCLafQnbQ2H3rcRitTxvyRiaesUNw4jG+PVJHAOyuvJTf9Q==",
      "resolved": "https://repo.harmonyos.com/ohpm/@pura/harmony-utils/-/harmony-utils-1.3.8.har",
      "registryType": "ohpm"
    },
    "@pura/spinkit@1.0.5": {
      "name": "@pura/spinkit",
      "version": "1.0.5",
      "integrity": "sha512-EKG+yzbCj/owI5zUYukIZV+YMRbeS/Ymd281Dj5asCKQHTWoEUVGmow3HCo7rl2Bdh8yliIT/StxPokUf8a6bQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@pura/spinkit/-/spinkit-1.0.5.har",
      "registryType": "ohpm"
    },
    "class-transformer@0.5.1": {
      "name": "class-transformer",
      "version": "0.5.1",
      "integrity": "sha512-SQa1Ws6hUbfC98vKGxZH3KFY0Y1lm5Zm0SY8XX9zbK7FJCyVEac3ATW0RIpwzW+oOfmHE5PMPufDG9hCfoEOMw==",
      "resolved": "https://repo.harmonyos.com/ohpm/class-transformer/-/class-transformer-0.5.1.tgz",
      "shasum": "24147d5dffd2a6cea930a3250a677addf96ab336",
      "registryType": "ohpm"
    },
    "libhmrouterlibrary.so@oh_modules/.ohpm/@hadss+hmrouter@1.2.0/oh_modules/@hadss/hmrouter/src/main/cpp/types/libhmrouterlibrary": {
      "name": "libhmrouterlibrary.so",
      "version": "1.0.0",
      "resolved": "oh_modules/.ohpm/@hadss+hmrouter@1.2.0/oh_modules/@hadss/hmrouter/src/main/cpp/types/libhmrouterlibrary",
      "registryType": "local"
    }
  }
}